# Generate and open class/method javadoc for browsing

Grab a terminal in this IDE (Alt+F12) and issue the following command:
```
Exam> mvn javadoc:javadoc
```

Issue a second command asking for your project's working directory:

```
Exam> pwd
```
- You'll see a path like `/home/student/Downloads/Exam` in reply. Copy and open it in your web browser of choice
  (Chrome or firefox).
- From there navigate to `target/site/apidocs` and open the documentation's root file `index.html`.

# Implementation tasks

The following packages do contain implementation tasks:
- de.hdm_stuttgart.mi.sd1.task1 (50 Points)

- de.hdm_stuttgart.mi.sd1.task2 (20 points, more difficult)

Read your generated documentation and implement the skeleton methods and classes.

This project's  `test` branch does contain corresponding unit tests for verifying your solutions' correctness.

# Exam system upload

After finishing please:
- Export this project hitting »File ➔ Export ➔ Project to Zip File«
- Use a self-explanatory file name like e.g. `solution1.zip`
- Go to your exam browser window to upload `solution1.zip`
- Be careful: Uploading  **requires clicking the »Save+next« button !!!**
- You may upload as many `*.zip` archives as you like. Only the least uploaded one will become subject to marking.


